ADJUST_RESOURCE(9)

NAME
adjust_resource - modify a resource's start and size

SYNOPSIS

int adjust_resource(struct resource * res, resource_size_t start, resource_size_t size);

ARGUMENTS

res
    resource to modify

start
    new start value

size
    new size

DESCRIPTION

Given an existing resource, change its start and size to match the arguments. Returns 0 on success, -EBUSY if it can't fit. Existing children of the resource are assumed to be immutable.

COPYRIGHT